Межсайтовый скриптинг в PT News

Дата публикации:
22.09.2006
Дата изменения:
17.10.2006
Всего просмотров:
2022
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PTNews 1.x
Уязвимые версии: PT News 1.7.8, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "pgname" в сценарии search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена.

URL производителя: www.openbg.net/ptsite/

Решение: Установите последнюю версию (1.7.9) с сайта производителя.

или введите имя

CAPTCHA